<?php 
class Produit 
{
    function __construct(public string $nom="mon Produit", public int $quantite=3,public float $prix=120, public bool $rupture=false) 
    { }
}

$imprimante=new Produit("imprimante",10,850.5); 
echo $imprimante->nom, '<br>' ;
echo $imprimante->quantite, '<br>'  ;
echo $imprimante->prix, '<br>'  ;
echo $imprimante->rupture, '<br>'  ;
